<!DOCTYPE html>
<html lang="en">
<head>
	<title>HTML5 Tutorial</title>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

  <link href="https://fonts.googleapis.com/css?family=Bitter" rel="stylesheet"> 
  <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Merriweather" rel="stylesheet"> 

  <link rel="stylesheet" type="text/css" href="Web.css">
	
</head>
<body onload="reset()">

<!-- source of bootstrap's container: https://getbootstrap.com/docs/4.1/layout/overview/ -->
<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->

<div class="container">
	<h1 class="title">HTML5 Tutorial</h1>

	<!-- source of nav bar: https://www.w3schools.com/bootstrap/bootstrap_navbar.asp -->

	<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">HTML5</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarNavDropdown">
    <ul class="navbar-nav">
     
        <li><a href="#" class="nav-link" onclick="display('home')">Home</a></li>
        <li><a href="#" class="nav-link" onclick="display('intro')">Introduction</a></li>
        <li><a href="#" class="nav-link" onclick="display('tags')">Basic tags</a></li>
        <li><a href="#" class="nav-link" onclick="display('special-chars')">Special Characters</a></li>
        <li><a href="#" class="nav-link" onclick="display('media')">Images &amp; Multimedia</a></li>
        <li><a href="#" class="nav-link" onclick="display('links')">Hyperlinks</a></li>
        <li><a href="#" class="nav-link" onclick="display('Lists')">Lists</a></li>
        <li><a href="#" class="nav-link" onclick="display('tables')">Tables</a></li>
        <li><a href="#" class="nav-link" onclick="display('divs')">Divisions</a></li>
     
    </ul>
  </div>
</nav>

<!-- Summary about the page -->
<div id="home" class="content">
	<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
	<div class="row">
		<div class="col-lg-6">

			<div class="space-out2">
				
				<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
				<div class="row">
					<div class="col-1">
						<img src="HTML5.png" alt="HTML5 Logo" height="120">
					</div>

					<div class="col-11">
						<h1 id="format-h1">HTML</h1>
					</div>
				</div>
				<h3 class="cntr">The Language of building Websites</h3>
			
			</div>

		</div>
		<div class="col-lg-6">
			<div class="divs">
				<p>
					This website is purposed to teach you the main basics of HTML, of which when you grasp and become confident working with it, everything else will become easier in terms of your website's presentation and behaviour. The hardest part when building a web page is always the base, which purely relies on HTML (the content), after you've done that, you will be able to do powerful things in the future when using CSS. You will be able to have a decent looking website just like that without struggling because a good CSS relies on good HTML. Furthermore, for more support, there is another website that the co-operation is currently working on for pure CSS tutorials, when it is finally done being built, the home page here will be updated with the hyperlink. Good luck with the HTML5 tutorial, hope you find it simple and engaging!
				</p>
			</div>
		</div>	
	</div>

	<h3 class="push-up">Additional resources</h3>

	<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
	<div class="row" id="additional-resources">

		<div class="col-md-3">
			<!-- html5 image -->
			<a href="https://www.w3schools.com/html/"><img src="html.png" height="150"></a>
		</div>

		<div class="col-md-3">
			<!-- CSS -->
			<a href="https://www.w3schools.com/css/"><img src="css3.gif" height="150"></a>
		</div>

		<div class="col-md-3">
			<!-- JS -->
			<a href="https://www.w3schools.com/js/default.asp"><img src="js.png" height="150"></a>
		</div>

		<div class="col-md-3">
			<!-- JQuery -->
			<a href="https://www.w3schools.com/jquery/default.asp"><img src="jq.png" height="150"></a>
		</div>
		
	</div>

</div>


<div id="intro" class="content">

<div class="introbox">
<h2>What is a website and how is it implemented?</h2>

<p class="indent">
	A website consists of 3 factors: content, presentation, and behaviour. The content is the first fundamental step that should be done whenever starting up a website for two main reasons. First, it is crucial to first add the content you would like to present and share, otherwise, why would you create a website in the first place if there is no content. HTML - Hyper Text Markup Language will be required for doing that.Secondly, having an HTML document allows you to structure your content in the way you want. You should absolutely add everything you want to present in this stage, whether it is text, images, videos, or audio files. The main aim of the HTML tutorial is to get you confident using different tags and attributes in HTML for adding your content and structuring it in the right way. Then, the other two factors are the presentation and the behaviour, which will be discussed further in the CSS and JavaScript tabs respectively. There are different markup languages out there, which could be used, however, in all the tutorials we will be using HTML5 because the syntax is simpler and easier to learn, while it will also supports you all the way when using CSS and JavaScript for making your website fancy.
</p>
</div>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-md-6">
		
		<div class="divs">
		<div class="indent-image">

			<img src="fundamentals-of-html5-7-638.jpg" alt="Declaring an HTML5 document" class="img90">
		
		</div>
			<p><strong>Declaring an HTML5 document</strong></p>

			<p>
				This image shows how you declare an HTML5 document before doing anything else. This is the skeleton you need, so that way the web browser would recognise the syntax you are using as a HTML5 document.
			</p>
		</div>
	</div>

	<div class="col-md-6">
	<div class="divs"> 
	<h3>What do I need CSS for then?</h3>
	<p>
		For now you just need to know that this is the difference between having a rough website that does not implement css, and just shows you the content, which is just mainly text that is formatted standardly with the HTML tags and attributes, however, you would want to make it look more appealing by using CSS and being creative while designing it. We will get into more depth in the CSS section, where we will purely focus on making things look nice.
	</p>
	<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
	<div class="row">
		<div class="col-6">
			<img alt="" src="217.jpg" class="img100">
		</div>
		<div class="col-6">
			<img alt="" src="zen2.png" class="img100 imgh100">
		</div>
	</div>

	<p>
		<strong>Same Website, CSS has another saying</strong>
	</p>

	<p>
		Both images are of the same website, same content, however the stylesheets implemented using CSS were the only difference. This shows how powerful CSS can be by having the same website looking in many other ways.
	</p>
</div>
</div>
</div>
</div>
<div id="tags" class="content">
<div class="introbox">
<h2>What are tags?</h2>

<p class="indent">
	Tags are labels for the content you have. They are the building blocks of any website, they are there for allowing you structuring the content you have. Moreover, different tags have carry out different functions. There are tons of tags out there and they are all available here (link), however, we will be exploring the vital ones, which you will use most of the time, while the others could be just used once in a lifetime or so. Tags also have attributes, another word for unrequired parameters, which you will see is useful. Tags should be either self-closing or closed in pairs. Most of the tags are closed in pairs for example: &lt;h1&gt;this is my header&lt;/h1&gt;, however, we will go over the self-closing ones too.

</p>
</div>

<hr class="style">

<div class="introbox">
<h2>The header tags</h2>

<p class="indent">
	The header tags go all the way from h1 to h6. The larger the number next to the ‘h’ gets, the smaller the font size gets too. Also, levels should not be skipped or repeated, they have to always either level up or down. Remember that the HTML part is just responsible for the structure of the content but not the presentation. 

</p>
</div>
<!--left box -->
<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-md-6">
		<div class="divs">
			<p class="format-headertags">&lt;h1&gt;“I am so huge”&lt;/h1&gt;</p>
			<p>&lt;h2&gt;“Still huge”&lt;/h2&gt;</p>
			<p class="format-headertags">&lt;h3&gt;“I am medium...I think?!”&lt;/h3&gt;</p>
			<p>&lt;h4&gt;“Still medium?”&lt;/h4&gt;</p>
			<p>&lt;h5&gt;“I am getting tiny”&lt;/h5&gt;</p>
			<p>&lt;h6&gt;“Am I even useful”&lt;/h6&gt;</p>
		</div>
	</div>

	<div class="col-md-6">
		<div class="divs">
			<h1 class="format-headers">"I am so huge"</h1>
			<h2 class="format-headers">"Still hugee"</h2>
			<h3 class="format-headers" id="h3">“I am medium...I think?!”</h3>
			<h4 class="format-headers format-headertags">“Still medium?”</h4>
			<h5 class="format-headers" id="h5">“I am getting tiny”</h5>
			<h6 class="format-headers">“Am I even useful”</h6>
		</div>
	</div>
</div>

<hr class="style">

<h2 class="subtitle">The p tag</h2>
<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-md-6">
		<div class="divs">
			<p>
				&lt;p&gt;
				I am a p tag that stands for paragraph! I am always used whenever, someone is displaying a paragraph because I've got a suitable font and I indent text very well. I could also take a huge amount of text and still manage to display it properly:). Although, that is the only thing I could do, however, I am really good at it. I can also have inline tags such as making the font &lt;strong&gt;bold&lt;/strong&gt; or &lt;em&gt;italic like this&lt;/em&gt;, however if you would like to play with it more you will have to play more with CSS;)
				&lt;/p&gt;
			</p>
		</div>
	</div>
	<div class="col-md-6">
		<div class="divs">
			<p> 
				I am a p tag that stands for paragraph! I am always used whenever, someone is displaying a paragraph because I've got a suitable font and I indent text very well. I could also take a huge amount of text and still manage to display it properly:). Although, that is the only thing I could do, however, I am really good at it. I can also have inline tags such as making the font <strong>bold</strong> or <em>italic like this</em>, however if you would like to play with it more you will have to play more with CSS ;)
			</p>
		</div>
	</div>
</div>

<hr class="style">

<h2 class="subtitle">The br tag</h2>
<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-md-6">	
		<div class="divs">	
			<p>
				the break tag breaks to a &lt;br&gt; new line like this &lt;br&gt; you &lt;br&gt; cannot &lt;br&gt; do &lt;br&gt; this &lt;br&gt; without 
				&lt;br&gt; me
				&lt;br&gt; I am a self-closing tag too just like the "hr" tag, which you will meet soon!
			</p>
		</div>
	</div>
	<div class="col-md-6">
		<div class="divs">
			<p>
				the break tag breaks to a <br>new line like this<br>you<br>cannot<br>do<br>this<br>without<br>me<br>
				I am a self-closing tag too just like the "hr" tag, which you will meet soon!
			</p>
		</div>
	</div>
</div>

<hr class="style">

<div class="introbox">
<h2>The hr tag</h2>

<p class="indent">
	Aloha there I am the &lt;hr&gt; horizontal rule tag and I am just about a horizonal line across the screen for separating different sections from each other, moreover, I am more than that, if you don't like the standard version of mine, then hit me up with CSS ;)
</p>

<p class="underline"><b>Before CSS, just HTML5</b></p>
<hr>
<hr>
<hr>
<p class="underline"><strong>After CSS</strong></p>
<hr class="style1">
<hr class="style-seven">
<hr class="style-eight">
</div>
</div>
<!-- special characters_________________________________________________ -->
<div class="content" id="special-chars">
	<div class="introbox">
		<h2>What are the Special Characters?</h2>
		<p class="indent">
			Not all characters can be typed in using the user's keyboard. Some other characters that you may wish to display could interfer instead with the functionality of your HTML document such as a &quot; or even a &lt; and &gt; sign. As a result those characters are supported by HTML5 of which some of them will be displayed here as an example, while the others will be provided with full reference links.
		</p>
	</div>
	<hr class="style">

	<h3 class="subtitle">How does it look like?</h3>

	<div class="row push-down">
		<div class="col-6">
			<div class="divs">
			<p>
				I am displaying a &amp;quot;&amp;quot;<br>
				I am displaying a &amp;euro;<br>
				I am displaying a &amp;forall;<br>
			</p>
			</div>
		</div>

		<div class="col-6">
			<div class="divs">
				<p>
					I am displaying a &quot;&quot;<br>
					I am displaying a &euro;<br>
					I am displaying a &forall;<br>
				</p>
			</div>
		</div>
	</div>
	<p><a href="https://www.w3schools.com/charsets/ref_utf_currency.asp">Full Currency Reference</a></p>
	<p><a href="https://www.w3schools.com/charsets/ref_utf_arrows.asp">Full Arrows Reference</a></p>
	<p><a href="https://www.w3schools.com/html/html_symbols.asp">Full Symbols Reference</a></p>
</div>

<div class="content" id="media">
<h2>What is Multimedia?</h2>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-lg-6">
		<div class="divs">
			<p>
				Multimedia is almost anything you can hear or see. Furthermore, Multimedia has become a main thing of our everyday life now from music and sound to images, films, and animations. The web is all about sharing stuff we like and enjoy with others therefore, you will learn in this section how to attach the main formats of media to your website such as sounds or music, images and videos. 
			</p>
			<hr class="style2">
			<h2>How does an audio tag work?</h2>
			<p>
				The audio tag is what allows us embed sounds from the device to the website. The controls attribute is responsible for the banner we have that allows us to play and pause the audio being played, choose exactly which part do we wish to listen to, plus controlling the volume intensity. I have got two source tags to show yout that the video tag in HTML5 supports the .ogg, .mp3 or the .wav version and how to embed different audio formats.
			</p>
		</div>
	</div>
	<div class="col-lg-6">
		<div class="divs curved" id="format-img">
			<img alt="" src="multimedia3.jpg" class="img100">
		</div>
	</div>
</div>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-12">
		<h3 class="subtitle space-out">How does it look like?</h3>
	</div>
</div>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-lg-6">
		<div class="divs">
			<p>
				&lt;audio controls&gt;<br>
			  	&lt;source src="Oracle.ogg" type="audio/ogg"&gt;<br>
			 	&lt;source src="Oracle.mp3" type="audio/mpeg"&gt;<br>
			 	&lt;source src="Oracle.mp3" type="audio/wav"&gt;<br>
				text to be displayed if the audio is not recognised by the browser <br>
				&lt;/audio&gt;
			</p>
		</div>
	</div>
	
	<div class="col-lg-6">
		<div class="curved divs" id="format-audio">
			<audio id="middle" controls>
				<source src="Oracle.mp3" type="audio/mpeg">
				text to be displayed if the audio is not recognised by the browser
			</audio>
			<p class="cntr"><strong>Oracle (Extended Mix) by Timmy Trumpet</strong></p>
		</div>
	</div>

</div>
<hr class="style">
<div class="introbox">
	<h2>An img tag</h2>

	<p class="indent">
	The img tag &lt;img&gt; is a self-closing tag, which makes sense because an image is just an image, it is not like text for example like the &lt;img&gt;, where you get to specify when a paragraph ends. Moreover, the &lt;img&gt; has got many attributes, which affect how the image would be represented. In this section, we will just go over the basic ones, which you will always need, whenever embedding an image on your website.
	</p>
</div>

<div class="introbox">
	<h2>The src attribute</h2>
	<p class="indent">
		The src attribute specifies the image url. Furthermore, it could be anything, it could the link url of an online image or the name of the image if it is downloaded on your device and saved in the same directory as the HTML document. This should be the first attribute to be filled because it is the one responsible for uploading the image you wish to embed in the first place. 
	</p>
</div>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">

	<div class="col-lg-6">
		<div class="divs">
			<h3 class="cntr">How does it look like?</h3>
			<hr class="style">
			<p>
				&lt;img src="https://images.unsplash.com/photo-1432889490240-84df33d47091?ixlib=rb-0.3.5&amp;ixid=eyJhcHBfaWQiOjEyMDd9&amp;s=2b7e1e2c28f51c450c<br>cfe98eec15f9bf&amp;auto=format&amp;fit=crop&amp;w=889&amp;q=80"&gt;
			</p>
		</div>	
	</div>

	<div class="col-lg-6">
		<div class="divs">
		<img src="https://images.unsplash.com/photo-1432889490240-84df33d47091?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=2b7e1e2c28f51c450ccfe98eec15f9bf&auto=format&fit=crop&w=889&q=80" alt="" height="200" class="img100">
		</div>
	</div>
</div>

<div class="introbox space-out">
	<h2>The alt attribute</h2>
	<p class="indent">
		The alt attribute is a required attribute that always has to be included, whenever embedding an image. It is crucial because some browsers may not be able to load a certain image, the text that fills the alt attribute is what is displayed then instead of the image. The alt attribute should include a brief description of the image so even if it is not loaded, the audience would still be on track on what you were intending to show them. If the image you are embedding is just decorative then include the alt attribute but leave it empty.
	</p>
</div>

<h3 class="subtitle">How does it look like?</h3>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">

	<div class="col-6">
		<div class="divs">
			<p>
				&lt;img src="invalid source" alt="Your browser cannot load this image"&gt;
			</p>
		</div>
	</div>

	<div class="col-6">
		<div class="divs">
			<img src="invalid-source.jpg" alt="Your browser cannot load this image">
		</div>
	</div>

</div>

<div class="introbox space-out">
	<h2>The height &amp; width attribute</h2>
	<p class="indent">
		The height and the width attribute are self-explanitory. Their values are just specified as numbers with no units, and it conerts it automatically to the number of pixels it would take. In addition, pixels are not the only units used, you can also specify a percentage by typing in the value followed by the percent sign (&percnt;). For example, if the width attribute is set to 50&percnt; (width = "50&percnt;"), then the image will occupy 50&percnt; of the window's width. However, an advantage of using a percentage instead of pixels is that your website will become responsive, because when you start resizing the window of the browser or shrinking it, it will still mantain the same ratio. If any of the height or the width attribute is set to a value, the whole image will resize itself instead of having just one of the dimensions changed. In other words, if the width is changed, the height will adjust itself too and vice versa.
	</p>
</div>

<h3 class="subtitle">How does it look like?</h3>
<!-- will have to fix the positioning of the images -->
<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-sm-6">
		<div class="divs">
			<p><b>Before:</b></p>
			<p class="push-down2 indent">
				&lt;img src="boat_1.jpeg" height="100"&gt;
			</p>

			<hr class="style2">
			<p><b>After:</b></p>
			<p class="indent">
				&lt;img src="boat_2" height="50"&gt;
			</p>
		</div>
	</div>

	<div class="col-sm-6">
		<div class="divs">
			<p><b>Before:</b></p>
			<img src="https://images.unsplash.com/photo-1444237236636-d7613ee9fb44?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=b5a67b9c12271c419f92f1e63a751881&auto=format&fit=crop&w=889&q=80"
			height="100" class="imgauto" alt="">
			
			<hr class="style2">
			
			<p><b>After:</b></p>
			<img src="https://images.unsplash.com/photo-1444237236636-d7613ee9fb44?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=b5a67b9c12271c419f92f1e63a751881&auto=format&fit=crop&w=889&q=80"
			height="50" class="imgauto" alt="">
		</div>
	</div>

</div>

<h2 class="subtitle">The title attribute</h2>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">

	<div class="col-md-6">
		<div class="divs">
			<p>
				The title attribute is similar to the alt attribute. It should contain a brief descrpition of the image, however, this time it only appears when the user hovers his/her mouse cursor over the image.
			</p>
			<hr class="style2">
			<h3>How does it look like?</h3>
			<p>
				&lt;img src="beach.jpeg"
				height="200" title="Beach"&gt;
			</p>
		</div>
	</div>

	<div class="col-md-6">
		<div class="divs">
			<img src="https://images.unsplash.com/photo-1470093879860-2221625b28be?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=998b18d100b67554356d92946e3693f6&auto=format&fit=crop&w=752&q=80"
			height="200" title="Beach" alt="" class="img100">

			<p class="reset-p" id="space-out">Hover me! :)</p>
		</div>
	</div>
</div>
<hr class="style">

<div class="introbox">
	<h2>Embedding a video</h2>
	<p class="indent">
		Embedding a video is almost identical to embedding an audio to your page. The differences are minor for obvious reasons. First, we are having the video tag instead of the audio tag, which works exactly the same in terms of structure. We've got the controls attribute just like how we saw with the audio tag for enabling the user to manipulate the video. The width and the height attribute work exactly the same just like how they work with the img tag. The poster attribute is used the thumbnail, which is the picture displayed helping the user recognise the video till playing it. We have also got two source tags showing that the video tag of HTML5 supports different video formats such as mp4, ogg or webM. However, you just need one source tag setting the type attribute according to the format of the video you are embedding. 
	</p>
</div>
<h3 class="subtitle">How does it look like?</h3>
<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-md-6">
		<div class="divs">
			<p>
				&lt;video poster="thumbnail.jpg" width="400" height="240" controls&gt; <br>
			  		&lt;source src="Nature.mp4" type="video/mp4"&gt; <br>
			  		&lt;source src="Nature.ogg" type="video/ogg"&gt; <br>
			  		&lt;source src="Nature.webM" type="video/webM"&gt; <br>
				&lt;/video&gt;
			</p>
		</div>
	</div>

	<div class="col-md-6">
		<div class="divs curved">
			<video id="format-vid" poster="thumbnail.jpg" class="imgh100 img80" controls>
			  <source src="Nature.mp4" type="video/mp4">
			</video>
		</div>
	</div>
</div>
<hr class="style">

<div class="introbox">
	<h2>Embedding a YouTube video</h2>

	<p class="indent">
		iframe is the latest tag to be used for embedding youtube videos just provided with HTML5. There are 2 other tags that work just fine; the embed and the object tag, they would just do the job by embedding the youtube video, however, iframe has even more options than that. As you can see here it is easier than the video tag because you are only dealing here with 3 attributes. However, you just do not copy and paste the YouTube link in the src and that's it you're done. If you take a look and compare the original link with the src link, you will see a difference. The structure you should follow for having it successfully working is copying and pasting whatever is after "watch?v=". Instead of also having the controls attribute, it is on by default, if you'd like to turn it off, type in "controls=0" right next to the end of the link within the src attribute. "controls=1" is equivilant to not having it at all. Same thing could be done with autoplay, "autoplay=1", it is off by default. If you'd like to loop the video forever then, "loop=1", it is off by default too.
	</p>
</div>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-lg-6">
		<div class="divs">
			<h3 class="cntr">How does it look like?</h3>
			<hr class="style">
			<p>
				&lt;iframe width="320" height="240" src="https://www.youtube.com/embed/wb49-oV0F78"&gt;
				&lt;/iframe&gt;
			</p>
				<hr class="style2">
			<p>	
				<b>Original video link:</b><br> https://www.youtube.com/watch?v=wb49-oV0F78 
			</p>
		</div>
	</div>
 
	<div class="col-lg-6">
		<div class="divs curved" id="format-yvid">
			<iframe class="img100 imgh80" src="https://www.youtube.com/embed/wb49-oV0F78"></iframe>
			<p class="cntr">Mission Impossible VI trailer</p>
		</div>
	</div>
</div>


</div>

<div class="content" id="links">
<!-- What is an anchor tag... define which type of tag is it -->
<div class="introbox">
	<h2>What is the a tag?</h2>
	<p class="indent">
		The a tag stands for an anchor tag and needs a closing tag. It is also used whenever you wish to create a hyperlink. Furthermore, there are 4 types of hyperlinks, which you will learn in this section: the local links, the external links, the image links, and the mailing links. This is all done using an attribute called "href", which stands for hypertext reference. Moreover, it changes text color to blue and underlined when hovered.
	</p>
</div>

<hr class="style">

<!-- local links -->
<div class="introbox">
<h2>Local links</h2>
	
	<p class="indent">
		Local links are useful, when there is lots of content on your website, and you don't want to distract your audience with all of that instead you can have them focus at one thing at a time. You've got 2 components here: the link destination and the local link. Let's start breaking it down with the destination link, you first need to go to the destination of the link and add an id to the tag that has been used for your content. Then, you design the local link by having an ordinary a tag with text inbetween and the "href" attribute. Finally, you type in the name of the id into the "href" attribute preceded by an '#' octothorpe.
	</p>
</div>

<h3 class="subtitle">How does it look like?</h3>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-md-6">
		<div class="divs">
			<p>&lt;p&gt;&lt;a href="#p2"&gt;Jump to body paragraph 1&lt;/a&gt;&lt;/p&gt;</p>
			<p>&lt;p&gt;Introduction&lt;/p&gt; </p>
			<p>&lt;p id="p2"&gt;Body paragraph 1&lt;/p&gt;</p>
			<p>&lt;p&gt;Body paragraph 2&lt;/p&gt;</p>
			<p>&lt;p id="p4"&gt;Conclusion&lt;/p&gt;</p>
		</div>
	</div>

	<div class="col-md-6">
		<div class="divs">
			<p><a href="#p2">Jump to body paragraph 1</a></p>
			<p>Introduction</p>
			<p id="p2">Body paragraph 1</p>
			<p>Body paragraph 2</p>
			<p>Conclusion</p>
		</div>
	</div>

</div>

<hr class="style">

<!-- standard links -->
<div class="introbox">
	<h2>External links</h2>
	<p class="indent">
		External links are considered to be the most basic hyperlink you could ever have. It is that simple, all you need to do is to surround the text you wish to be your hyperlink with the &lt;a&gt; tag. Then, copy and paste the url you want it to get directed to in the "href" attribute such as the url of google for example or any other website and that's it, you're all set.
	</p>
</div>

<h3 class="subtitle">How does it look like?</h3>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-md-6">
		<div class="divs">
			<p>This is a &lt;a href="https://www.google.com.eg/?gfe_rd=cr&amp;dcr=0&amp;ei=cavJWoPjFcXBXvWhjYgF"&gt;link&lt;/a&gt; to google</p>
		</div>
	</div>

	<div class="col-md-6">
		<div class="divs curved">
			<p class="center-content1">This is a <a href="https://www.google.com.eg/?gfe_rd=cr&dcr=0&ei=cavJWoPjFcXBXvWhjYgF">link</a> to google</p>
		</div>
	</div>

</div>

<hr class="style">

<!-- image links -->
<div class="introbox">
	<h2>Image as Links</h2>

	<p class="indent">
		Having images as links is as easy as having text as hyperlinks. It is the same exact process, the only difference is that you would need to have an image using the &lt;img&gt; tag in between the &lt;a&gt; instead of just text. Linking the image to the url you wish it to be linked to will be identical, by copying &amp; pasting the url into the &quot;href&quot; attribute just like how we did with the external links.
	</p>
</div>

<h3 class="subtitle">How does it look like?</h3>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-md-6">
		<div class="divs">
			<p>
				&lt;p&gt;Click the image for more <br> &lt;a href="https://unsplash.com/"&gt; <br> &lt;img src="img.jpg" height="100"&gt; <br> &lt;/a&gt;&lt;/p&gt;
			</p>
		</div>
	</div>

	<div class="col-md-6">
		<div class="divs curved">
			<div id="center-img">
				<p><span class="turn-red">Click the image for more</span> <a href="https://unsplash.com/"> <img alt="" src="img.jpg" height="100"> </a> </p>
			</div>
		</div>
	</div>

</div>


<hr class="style">

<!-- mail links -->
<div class="introbox">
	<h2>Mail Links</h2>

	<p class="indent">
		The mail links are usually used when you want to have contact with your clients. It enables the user to have an email ready to be sent to the email specified with a certain subject with the click of a button. Therefore, it makes it easier and more convenient to send an email to a person, however, it requires the user having outlook installed on their device because without it, none of that can be done. It doesn't use the client's browser for doing all of that, therefore, it might be obsolete for some of your clients, would be nice to have your email also displayed on your page to gaurantee that everybody reaches it. The way it is done is by typing "mailto:" in the "href" attribute followed by the email.
	</p>
</div>

<h3 class="subtitle">How does it look like?</h3>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-lg-6">
		<div class="divs">
			<p> &lt;p&gt;<br>
				Hit me up on <br>
				&lt;a&gt; href="mailto:someone@something.com">my email &lt;/a&gt; <br>
				&lt;p&gt;
			</p>
		</div>
	</div>

	<div class="col-lg-6">
		<div class="divs curved">
			<p class="center-content">
				Hit me up on 
				<a href="mailto:someone@something.com">my email</a>
			</p>
		</div>
	</div>

</div>




</div>
 
<!-- LISTS -->
<div class="content" id="Lists">
	<div class="introbox">
	<h2>Lists</h2>
	<p class="indent">
		Lists are suitable for presenting more than one thing related to the same subject. Most of the times they are used in the beginning for listing out the things your website is going to include before changing it into a navigation bar. In addition, there are 4 types of lists that you will learn in this section: unordered lists, ordered lists, description lists, and nested lists.
	</p>
	</div>
	<hr class="style">
	<!-- Unordered -->
	<div class="introbox">
	<h2>Unordered Lists</h2>
	<p class="indent">
		An unordered list is a list of multiple things, where order and numbering the stuff that it includes does not matter. You will need one &lt;ul&gt; and its closing tag per list. In addition, the ul tag stands for an unordered list. Then, you will need the &lt;li&gt; and its closing tag surrounding each listed point.
	 </p>
	 </div>
	 <h3 class="subtitle">How does it look like?</h3>

	<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
	<div class="row">
		<div class="col-6">
			<div class="divs">
				<p class="reset-p">&lt;ul&gt;</p>
					<p class="tr">&lt;li&gt;This&lt;/li&gt;</p>
					<p class="tr">&lt;li&gt;is&lt;/li&gt;</p>
					<p class="tr">&lt;li&gt;an&lt;/li&gt;</p>
					<p class="tr">&lt;li&gt;Unordered list&lt;/li&gt;</p>
				<p>&lt;/ul&gt;</p>
			</div>
		</div>

		<div class="col-6">
			<div class="divs">
				<ul>
					<li>This</li>
					<li>is</li>
					<li>an</li>
					<li>Unordered list</li>
				</ul>
			</div>
		</div>
	</div>

	<hr class="style">

	<!-- Ordered lists -->
	<div class="introbox">
	<h2>Ordered Lists</h2>
	<p class="indent">
		An ordered list is identical to the unordered list, however, the only difference is that the listed out points are numbered instead and &lt;ol&gt; tag is used instead of &lt;ul&gt;, which stands for an ordered list. 
	</p>
	</div>

	<h3 class="subtitle">How does it look like?</h3>
	<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
	<div class="row">
		<div class="col-6">
			<div class="divs">
				<p class="reset-p">&lt;ol&gt;</p>
					<p class="tr">&lt;li&gt;This&lt;/li&gt;</p>
					<p class="tr">&lt;li&gt;is&lt;/li&gt;</p>
					<p class="tr">&lt;li&gt;an&lt;/li&gt;</p>
					<p class="tr">&lt;li&gt;Ordered list&lt;/li&gt;</p>
				<p>&lt;/ol&gt;</p>
			</div>
		</div>
		<div class="col-6">
			<div class="divs">
				<ol>
					<li>This</li>
					<li>is</li>
					<li>an</li>
					<li>Ordered list</li>
				</ol>
			</div>
		</div>
	</div>
	 
	<hr class="style">

	<!-- Description lists -->
	<div class="introbox">
		<h2>Description lists</h2>
		<p class="indent">
			A description list is used when you have a set of terms and you need to list out their definitions or description. The &lt;dl&gt; tag is used for declaring the description list just like the previous 2 types of lists. Then, the &lt;dt&gt; tag is used once per defining the term. Finally, you have got the &lt;dd&gt; tag, which defines the description of the term.
		</p>
	</div>
	<h3 class="subtitle">How does it look like?</h3>
	<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
	<div class="row">
		<div class="col-6">
			<div class="divs">
				<p class="reset-p">&lt;dl&gt;</p>
					<p class="tr">&lt;dt>Cat&lt;/dt&gt;</p>
					<p class="tr">&lt;dd>A cute, playful pet&lt;/dd&gt;</p>
					<p class="tr">&lt;dt>Dog&lt;/dt&gt;</p>
					<p class="tr">&lt;dd>A pet that everybody loves&lt;/dd&gt;</p>
				<p>&lt;/dl&gt;</p>
			</div>
		</div>

		<div class="col-6">
			<div class="divs">
				<dl>
					<dt>Cat</dt>
					<dd>A cute, playful pet</dd>
					<dt>Dog</dt>
					<dd>A pet that everybody loves</dd>
				</dl>
			</div>
		</div>
	</div>

	<hr class="style">

	<!-- Nested lists -->
	<div class="introbox">
		<h2>Nested lists</h2>
		<p class="indent">
			Nested lists are basically lists inside lists. Furthermore, if it is an unordered list, the bullet points' style will change automatically for showing the difference. This occurrs by declaring a &lt;ul&gt; tag under a &lt;li&gt; tag.
		</p>
	</div>
	
	<h3 class="subtitle">How does it look like?</h3>
	<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
	<div class="row">
		<div class="col-md-6">
			<div class="divs">
				<p class="reset-p">&lt;ul&gt;</p>
				  <p class="tr">&lt;li&gt;Cat&lt;/li&gt;</p>
				  <p class="tr">&lt;li&gt;Dog </p>
				  	<p class="tc">&lt;ul&gt;</p>
					    <p class="double-tc">&lt;li&gt;German Shepherd Dog&lt;/li&gt;</p>
					    <p class="double-tc">&lt;li&gt;Rottweiler Dog&lt;/li&gt;</p>
				  	<p class="tc">&lt;/ul&gt;</p>
				  <p class="tr">&lt;/li&gt;</p>
				  <p class="tr">&lt;li&gt;Lion&lt;/li&gt;</p>
				<p>&lt;/ul&gt;</p>
			</div>
		</div>
		
		<div class="col-md-6">
			<div class="divs">
				<ul>
				  <li>Cat</li>
				  <li>Dog
				  	<ul>
					    <li>German Shepherd Dog</li>
					    <li>Rottweiler Dog</li>
				  	</ul>
				  </li>
				  <li>Lion</li>
				</ul>
			</div>
		</div>
	</div>
</div>
<!-- ______________________ -->

<!-- tables -->
<div class="content" id="tables">
	<div class="introbox">
		<h2>Tables</h2>
		<p class="indent">
			A table on HTML is declared using the &lt;table&gt; tag. A table row is then declared using the &lt;tr&gt; tag. Inside the &lt;tr&gt; tag 2 choices could be made, either declaring a table header which is by default centered and bolded by the &lt;th&gt; tag or you would just want to have an ordinary table cell by declaring the &lt;td&gt; tag standing for table data.
		</p>
	</div>

<hr class="style">
<h3 class="subtitle">How does it look like?</h3>

	<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
	<div class="row">
		<div class="col-sm-6">
			<div class="divs">

					<p id="table">&lt;table&gt;</p>
					  <p class="tr">&lt;tr&gt;</p>
					    <p class="tc">&lt;th&gt;Firstname&lt;/th&gt;</p>
					    <p class="tc">&lt;th&gt;Nationality&lt;/th&gt; </p>
					  <p class="tr">&lt;/tr&gt;</p>
									
					  <p class="tr">&lt;tr&gt;</p>
					    <p class="tc">&lt;td&gt;Johan&lt;/td&gt;</p>
					    <p class="tc">&lt;td&gt;German&lt;/td&gt;</p>
					  <p class="tr">&lt;/tr&gt;</p>
									
					  <p class="tr">&lt;tr&gt;</p>
					    <p class="tc">&lt;td&gt;Chris&lt;/td&gt;</p>
					    <p class="tc">&lt;td&gt;English&lt;/td&gt;</p>
					  <p class="tr">&lt;/tr&gt;</p>
									
					  <p class="tr">&lt;tr&gt;</p>
					    <p class="tc">&lt;td&gt;Alex&lt;/td&gt;</p>
					    <p class="tc">&lt;td&gt;American&lt;/td&gt;</p>
					  <p class="tr">&lt;/tr&gt;</p>
					<p>&lt;/table&gt;</p>

				</div>
		</div>

		<div class="col-sm-6">
			<div class="divs">
				<table class="center">
				  <tr>
				    <th>Firstname</th>
				    <th>Nationality</th> 
				  </tr>

				  <tr>
				    <td>Johan</td>
				    <td>German</td>
				  </tr>

				  <tr>
				    <td>Chris</td>
				    <td>England</td>
				  </tr>

				  <tr>
				    <td>Alex</td>
				    <td>American</td>
				  </tr>
				</table>
			<hr class="style2">
			<p>
				The table may seem odd at the start because it does not have borders. However, the borders are there, they are just 0 pixeled. You will have to play more with it using CSS to make the borders visible, moreover, there is more than one border style which you could choose from. Take a look <a href="https://www.w3schools.com/html/html_tables.asp">here</a> for styled tables.
			</p>
			</div>
		</div>
	</div>
</div>


<!--divs and spans  -->
<div class="content" id="divs">

	<div class="introbox">
		<h2>Divs &amp; Spans</h2>

		<p class="indent">
			This will be that last section that you will need to learn in HTML. Furthermore, this section might be useless until you actually start working with CSS for styling your elements. In the future, when you get started working on your website's presentation you will see that you get to work with HTML too to select the elements or the different divisions or parts that you wish to have styled in a certain way. HTML provides you with 2 useful tags that allow you highlight different parts of your HTML code (content): &lt;div&gt; &amp; &lt;span&gt; tags, you will encounter the differences and become confident with which one you should choose, depending on your situation.
		</p>
	</div>
<hr class="style">

<div class="introbox">
<h2>The div tag</h2>

<p class="indent">
	The &lt;div&gt; tag is a block level element, which means that it will always start on a new line and occupy all the window's width. You could tell that this sounds familiar because you have worked with block level elements already such as &lt;h1&gt; all the way down to &lt;h6&gt;, the &lt;p&gt; tags too, and alot more including all the video, all sorts of lists and table tags. The &lt;div&gt; tag works in the same way here in terms of structure, however, it does not affect the presentation of your website in any way unless you start setting some values in an attached stylesheet. In addition, the &lt;div&gt; tag has got common attributes such as id, class, style just like any other tag in HTML.
</p>
</div>

<h3 class="subtitle">How does it look like?</h3>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-md-6">
		<div class="divs">
			<p>
				&lt;div&gt;Hello&lt;/div&gt;<br>
				&lt;div&gt;there,&lt;/div&gt;<br>
				&lt;div&gt;What's&lt;/div&gt;<br>
				&lt;div&gt;up?&lt;/div&gt;
			</p>
		</div>
	</div>

	<div class="col-md-6">
		<div class="divs">
			<div>Hello</div>
			<div>there,</div>
			<div>What's</div>
			<div>up?</div>
		</div>
	</div>
</div>
<hr class="style">

<div class="introbox">
<h2>The span tag</h2>

<p class="indent">
	The &lt;span&gt; tag is purposed for the same thing, however it's got a different behaviour and that's because it is an inline element, which means that it does not start on a new line and does not occupy all the window's width, it just occupies the width that it needs to cover. Spans are pretty useful because they enable the user to format text in a certain way without messing with the structure of the document. You have dealt with inline tags before without knowing it such as the &lt;a&gt;, &lt;em&gt;, &lt;strong&gt; tags and tons of others that you will come across, the more you are in touch with HTML.
</p>
</div>

<h3 class="subtitle">How does it look like?</h3>

<!-- source of bootstrap's grid system: https://getbootstrap.com/docs/4.1/layout/grid/ -->
<div class="row">
	<div class="col-md-6">
		<div class="divs">
			<p>
				&lt;span&gt;Hello&lt;/span&gt;<br>
				&lt;span&gt;there,&lt;/span&gt;<br>
				&lt;span&gt;What's&lt;/span&gt;<br>
				&lt;span&gt;up?&lt;/span&gt;
			</p>
		</div>
	</div>

	<div class="col-md-6">
		<div class="divs">
			<span>Hello</span>
			<span>there,</span>
			<span>What's</span>
			<span>up?</span>
		</div>
	</div>
</div>
			

</div>
</div>




<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

<script src="Web.js"></script>
</body>
</html>

